View Flash Journal Members
get
/management/coherence/cluster/journal/flash/members
Use this endpoint to list the flash journal members of a Coherence cluster.
Request
There are no request parameters for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A successful request that lists flash journal members
Nested Schema : items
Type:
Show Source
array-
Array of:
object journalRM
Provides metrics for a Journal implementation.
Nested Schema : journalRM
Type:
objectProvides metrics for a Journal implementation.
Show Source
-
backlogCount:
integer(int32)
Read Only:
trueThe number of serialized values that have yet to be persisted to disk. -
backlogSize:
integer(int32)
Read Only:
trueThe total size in bytes of the serialized values that have yet to be synced to disk. -
binaryStoreCount:
integer(int32)
Read Only:
trueThe number of active BinaryStore objects that are using this Journal -
bufferSize:
integer(int32)
Read Only:
trueThe size of the buffers used to write a chunk of data to the journal -
collectorLoadFactor:
number(double)
Read Only:
trueThe load factor threshold at which files may be garbage collected. The larger the value, the more aggressive the compaction algorithm is. -
compactionCount:
integer(int32)
Read Only:
trueThe number of journal files successfully evacuated by the collector. -
currentCollectorLoadFactor:
number(double)
Read Only:
trueThe current load factor threshold at which files are being garbage collected. -
currentCompactionTime:
integer(int64)
Read Only:
trueThe elapsed time of the current journal-file compaction, in milliseconds, or zero if no file is currently being compacted. -
currentCongestionTime:
integer(int64)
Read Only:
trueThe elapsed time of the current FlashJournal congestion episode, in milliseconds, or zero if the journal is not congested. This FlashJournal-specific attribute returns -1 when unsupported. -
exhaustiveCompactionCount:
integer(int32)
Read Only:
trueNumber of times an exhaustive compaction (full garbage collection) was performed for the journal -
exhaustiveCompactionTime:
integer(int64)
Read Only:
trueTotal amount of time spent performing exhaustive compaction (full garbage collection) for the journal -
fileCount:
integer(int32)
Read Only:
trueThe number of Journal files currently in use. -
highestLoadFactor:
number(double)
Read Only:
trueThe approximate high-water mark of the Journal capacity utilization. -
highFileCount:
integer(int32)
Read Only:
trueThe high file count after which compulsory compaction occurs for the Journal. -
location:
string
Read Only:
trueThe location of the MBean server -
maxBacklogSize:
integer(int32)
Read Only:
trueWhen this value, maximum backlog size, is reached, writes are delayed until dropping below this max. -
maxFileSize:
integer(int64)
Read Only:
trueThe maximum size of an individual Journal file. -
maximumCompactionTime:
integer(int64)
Read Only:
trueThe longest completed or currently active single journal-file compaction attempt since statistics were reset, including failed attempts, in milliseconds. -
maximumCongestionTime:
integer(int64)
Read Only:
trueThe longest continuous FlashJournal congestion episode since statistics were reset, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
maximumForceTime:
integer(int64)
Read Only:
trueThe longest FileChannel.force operation since statistics were reset, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
maximumWriteTime:
integer(int64)
Read Only:
trueThe longest FileChannel.write operation since statistics were reset, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
maxJournalFilesNumber:
integer(int32)
Read Only:
trueThe maximum number of journal files. -
maxPoolSize:
integer(int64)
Read Only:
trueThe maximum size, in bytes, of the buffer pool. -
maxTotalRam:
integer(int64)
Read Only:
trueThe total amount of RAM used for this Journal. -
maxValueSize:
integer(int32)
Read Only:
trueThe maximum allowable size, in bytes, for serialized values. -
member:
string
Name of the cluster member
-
mostRecentCollectorScanCompletionTime:
integer(int64)
Read Only:
trueThe time when the FlashJournal collector most recently completed a scan and successfully finalized its results, in epoch milliseconds. This value is not reset by resetStatistics. Returns zero if no scan has completed. This FlashJournal-specific attribute returns -1 when unsupported. -
mostRecentFileCreationSequenceNumber:
integer(int64)
Read Only:
trueThe most recently assigned, non-resetting FlashJournal file creation sequence number. Returns zero if no file has been created. This FlashJournal-specific attribute returns -1 when unsupported. -
mostRecentFileCreationTime:
integer(int64)
Read Only:
trueThe creation time of the most recent successfully created FlashJournal file, in epoch milliseconds. This value is not reset by resetStatistics. Returns zero if no file has been created. This FlashJournal-specific attribute returns -1 when unsupported. -
mostRecentFileDeletionTime:
integer(int64)
Read Only:
trueThe deletion time of the most recent successfully deleted managed FlashJournal file, in epoch milliseconds. This value is not reset by resetStatistics. Returns zero if no file has been deleted. This FlashJournal-specific attribute returns -1 when unsupported. -
name:
string
Read Only:
trueThe name of the journal -
nioRam:
boolean
Read Only:
trueIf true, the RAM Journal is using direct buffers (NIO RAM) instead of on heap buffers. -
nodeId:
integer(int64)
Read Only:
trueThe ID of member to which the MBean belongs -
oldestActiveFileCreationSequenceNumber:
integer(int64)
Read Only:
trueThe non-resetting creation sequence number assigned to the oldest active FlashJournal file. Active files are appending, congested, full, or evacuating; garbage and discarded files are excluded. Returns zero if there is no active file. This FlashJournal-specific attribute returns -1 when unsupported. -
oldestActiveFileCreationTime:
integer(int64)
Read Only:
trueThe creation time of the oldest active FlashJournal file, in epoch milliseconds. Active files are appending, congested, full, or evacuating; garbage and discarded files are excluded. This value is not reset by resetStatistics. Returns zero if there is no active file. This FlashJournal-specific attribute returns -1 when unsupported. -
poolSize:
integer(int32)
Read Only:
trueThe total size, in bytes, of all available buffers in the pool. -
totalCompactionAttemptCount:
integer(int64)
Read Only:
trueThe cumulative number of journal-file compaction attempts started by the collector, including successful, failed, and currently active attempts. -
totalCompactionBytes:
integer(int64)
Read Only:
trueThe cumulative number of live bytes evacuated by successfully completed journal-file compactions. -
totalCompactionTime:
integer(int64)
Read Only:
trueThe cumulative wall-clock time spent evacuating live values from journal files selected for compaction, including failed completed attempts and elapsed time for the currently active attempt, in milliseconds. -
totalCongestionCount:
integer(int64)
Read Only:
trueThe total number of journal-wide FlashJournal congestion episodes since statistics were reset. This FlashJournal-specific attribute returns -1 when unsupported. -
totalCongestionTime:
integer(int64)
Read Only:
trueThe cumulative wall-clock time during which the FlashJournal was unable to accept values because of write-backlog congestion, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
totalDataSize:
integer(int64)
Read Only:
trueThe amount of data currently stored for this Journal in bytes. -
totalFileCreationCount:
integer(int64)
Read Only:
trueThe number of FlashJournal files successfully created since statistics were reset. This FlashJournal-specific attribute returns -1 when unsupported. -
totalFileCreationErrors:
integer(int64)
Read Only:
trueThe number of failed FlashJournal file or channel creation attempts since statistics were reset. This FlashJournal-specific attribute returns -1 when unsupported. -
totalFileDeletionCount:
integer(int64)
Read Only:
trueThe number of managed FlashJournal files successfully deleted since statistics were reset. This FlashJournal-specific attribute returns -1 when unsupported. -
totalFileDeletionErrors:
integer(int64)
Read Only:
trueThe number of failed managed FlashJournal file deletion attempts since statistics were reset, including File.delete returning false. This FlashJournal-specific attribute returns -1 when unsupported. -
totalFileSize:
integer(int64)
Read Only:
trueThe total size of all Journal files for this Journal. -
totalFileWriteErrors:
integer(int64)
Read Only:
trueThe total number of IOExceptions thrown by FileChannel.write operations. This FlashJournal-specific attribute returns -1 when unsupported. -
totalForceCount:
integer(int64)
Read Only:
trueThe total number of FileChannel.force operations attempted by the FlashJournal writer. This FlashJournal-specific attribute returns -1 when unsupported. -
totalForceErrors:
integer(int64)
Read Only:
trueThe total number of IOExceptions thrown by FileChannel.force operations. This FlashJournal-specific attribute returns -1 when unsupported. -
totalForceTime:
integer(int64)
Read Only:
trueThe cumulative time spent in FileChannel.force operations, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
totalWriteBytes:
integer(int64)
Read Only:
trueThe total number of bytes reported written by FileChannel.write operations, including recovery writes. This FlashJournal-specific attribute returns -1 when unsupported. -
totalWriteErrors:
integer(int64)
Read Only:
trueThe total number of IOExceptions thrown by FileChannel.write or FileChannel.force operations. This FlashJournal-specific attribute returns -1 when unsupported. -
totalWriteOperationCount:
integer(int64)
Read Only:
trueThe total number of FileChannel.write operations attempted by the FlashJournal writer. This FlashJournal-specific attribute returns -1 when unsupported. -
totalWriteRetries:
integer(int64)
Read Only:
trueThe total number of recovery attempts made after a FlashJournal write-path error. This FlashJournal-specific attribute returns -1 when unsupported. -
totalWriteTime:
integer(int64)
Read Only:
trueThe cumulative time spent in FileChannel.write operations, in milliseconds. This FlashJournal-specific attribute returns -1 when unsupported. -
type:
string
Read Only:
trueAllowed Values:[ "Journal" ]The type of the MBean